Feature Request - Add option to deflate the inflatable heat shield in flight
Description

In the VAB/SPH, you can inflate and deflate the inflatable heat shield, but there is no option to deflate it as part of an action group or
manually by selecting the part during flight. We like building reusable ships but use of this part requires jettison if we are to fly in
atmosphere again.

History

#1 - 06/29/2019 10:38 PM - Anonymous

Beginning with 1.7.2, we can use the 'Actions' mode of the VAB/SPH to bind the 'Deploy Limit' of the inflatable heat shield to one of the 'Axis Groups'
(spelled #autoLOC8003261 in the base game).

This way, the repeated inflation or deflation (which might seem unrealistic by default) is only possible if the craft-builder explicitly set up the capability
during construction.

There was some forum discussion at https://forum.kerbalspaceprogram.com/index.php?/topic/139450-inflatable-heat-shield-would/

#2 - 11/23/2019 12:52 AM - nestor
- Status changed from New to Ready to Test

- Target version set to 1.7.3

Based on the above comment, do you consider this one solved?

#3 - 12/08/2019 07:47 AM - Anonymous
- File AxisGroup.png added
- Status changed from Ready to Test to Resolved

| had forgotten myself how to do this

Probably we do not want to add the heat-shield function to one of the already-used axes like Pitch, Yaw, Roll, etc.
'Custom01' would be convenient, but it is not assigned to any keyboard controls by default, so at Main Menu => Settings => Input => Vesssel, we
have to assign some keys. (I use PgUp/PgDn.)

Then, in the VAB, click on the 'Action Groups' button {crossed hammer and spanner) at upper left, and select one of the 'Axis Groups' at the bottom of
the left-had column. Now clicking on an inflatable heat shield will put its deploy-limit under the 'Selection' column.

But this does not resolve the piece of feedback. The method is not discoverable by new players, and feels more like an unbalanced exploit than a

game-feature. The starting post here and especially the linked forum thread suggest ways of integrating a re-usable inflatable heat-shield into the
game.

#4 - 12/09/2019 12:38 AM - Anonymous
- Version changed from 1.4.2to 1.8.1
